Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class NbDocument.Colors

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.options.SystemOption
              org.openide.text.NbDocument.Colors

All Implemented Interfaces:
  Externalizable, Serializable, HelpCtx.Provider

Enclosing class:
  NbDocument

Deprecated. Not useful for anything.

    public static final class NbDocument.Colors

extends SystemOption

See Also:
  Serialized Form

Field Summary
`static String` | `PROP_BREAKPOINT` Deprecated.
`static String` | `PROP_CURRENT` Deprecated.
`static String` | `PROP_ERROR` Deprecated.

Constructor Summary
`NbDocument.Colors()` Deprecated.

Method Summary
`String` | `displayName()` Deprecated.
`Color` | `getBreakpoint()` Deprecated.
`Color` | `getCurrent()` Deprecated.
`Color` | `getError()` Deprecated.
`void` | `setBreakpoint(Color c)` Deprecated.
`void` | `setCurrent(Color c)` Deprecated.
`void` | `setError(Color c)` Deprecated.

Methods inherited from class org.openide.options.SystemOption
`clearSharedData, firePropertyChange, getHelpCtx, getName, isReadExternal, isWriteExternal, readExternal, reset, writeExternal`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, getLock, getProperty, hashCode, initialize, putProperty, putProperty, removeNotify, removePropertyChangeListener, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_BREAKPOINT

    public static final String PROP_BREAKPOINT

  Deprecated.
  See Also:
    Constant Field Values

### PROP_ERROR

    public static final String PROP_ERROR

  Deprecated.
  See Also:
    Constant Field Values

### PROP_CURRENT

    public static final String PROP_CURRENT

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### NbDocument.Colors

    public NbDocument.Colors()

  Deprecated.

Method Detail

### setBreakpoint

    public void setBreakpoint(Color c)

  Deprecated.

### getBreakpoint

    public Color getBreakpoint()

  Deprecated.

### setError

    public void setError(Color c)

  Deprecated.

### getError

    public Color getError()

  Deprecated.

### setCurrent

    public void setCurrent(Color c)

  Deprecated.

### getCurrent

    public Color getCurrent()

  Deprecated.

### displayName

    public String displayName()

  Deprecated.
  Specified by:
    `displayName` in class `SystemOption`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.